PHPExcel_Worksheet_Drawing

# Class: PHPExcel_Worksheet_Drawing_Shadow

Source Location: /PHPExcel/Worksheet/Drawing/Shadow.php

### Class Overview

PHPExcel_Worksheet_Drawing_Shadow

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_IComparable

### Constants

- SHADOW_BOTTOM
- SHADOW_BOTTOM_LEFT
- SHADOW_BOTTOM_RIGHT
- SHADOW_CENTER
- SHADOW_LEFT
- SHADOW_TOP
- SHADOW_TOP_LEFT
- SHADOW_TOP_RIGHT

### Methods

- __construct
- getAlignment
- getAlpha
- getBlurRadius
- getColor
- getDirection
- getDistance
- getHashCode
- getVisible
- setAlignment
- setAlpha
- setBlurRadius
- setColor
- setDirection
- setDistance
- setVisible
- __clone

### Class Details

[line 36]
PHPExcel_Worksheet_Drawing_Shadow

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 104]

`PHPExcel_Worksheet_Drawing_Shadow __construct( )`

Create a new PHPExcel_Worksheet_Drawing_Shadow

#### Tags:

access: | public

[ Top ]

### method getAlignment [line 201]

`int getAlignment( )`

Get Shadow alignment

#### Tags:

access: | public

[ Top ]

### method getAlpha [line 242]

`int getAlpha( )`

Get Alpha

#### Tags:

access: | public

[ Top ]

### method getBlurRadius [line 141]

`int getBlurRadius( )`

Get Blur radius

#### Tags:

access: | public

[ Top ]

### method getColor [line 221]

`PHPExcel_Style_Color getColor( )`

Get Color

#### Tags:

access: | public

[ Top ]

### method getDirection [line 181]

`int getDirection( )`

Get Shadow direction (in degrees)

#### Tags:

access: | public

[ Top ]

### method getDistance [line 161]

`int getDistance( )`

Get Shadow distance

#### Tags:

access: | public

[ Top ]

### method getHashCode [line 262]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

[ Top ]

### method getVisible [line 121]

`boolean getVisible( )`

Get Visible

#### Tags:

access: | public

[ Top ]

### method setAlignment [line 211]

`PHPExcel_Worksheet_Drawing_Shadow setAlignment( [int $pValue = 0])`

Set Shadow alignment

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setAlpha [line 252]

`PHPExcel_Worksheet_Drawing_Shadow setAlpha( [int $pValue = 0])`

Set Alpha

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setBlurRadius [line 151]

`PHPExcel_Worksheet_Drawing_Shadow setBlurRadius( [int $pValue = 6])`

Set Blur radius

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setColor [line 232]

`PHPExcel_Worksheet_Drawing_Shadow setColor( [PHPExcel_Style_Color $pValue = null])`

Set Color

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Style_Color | $pValue |

[ Top ]

### method setDirection [line 191]

`PHPExcel_Worksheet_Drawing_Shadow setDirection( [int $pValue = 0])`

Set Shadow direction (in degrees)

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setDistance [line 171]

`PHPExcel_Worksheet_Drawing_Shadow setDistance( [int $pValue = 2])`

Set Shadow distance

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setVisible [line 131]

`PHPExcel_Worksheet_Drawing_Shadow setVisible( [boolean $pValue = false])`

Set Visible

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method __clone [line 278]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### Class Constants

#### SHADOW_BOTTOM = 'b'

[line 39]

[ Top ]

#### SHADOW_BOTTOM_LEFT = 'bl'

[line 40]

[ Top ]

#### SHADOW_BOTTOM_RIGHT = 'br'

[line 41]

[ Top ]

#### SHADOW_CENTER = 'ctr'

[line 42]

[ Top ]

#### SHADOW_LEFT = 'l'

[line 43]

[ Top ]

#### SHADOW_TOP = 't'

[line 44]

[ Top ]

#### SHADOW_TOP_LEFT = 'tl'

[line 45]

[ Top ]

#### SHADOW_TOP_RIGHT = 'tr'

[line 46]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:37 +0200 by phpDocumentor 1.4.4